mkdir -p build && cd build && 
gcc ../boot.c -o gcc.elf && 
./gcc.elf < ../boot.c > boot1.s && 
riscv64-linux-gnu-gcc-12 -static boot1.s -o boot1.elf && 
qemu-riscv64 boot1.elf < ../boot.c > boot2.s && 
riscv64-linux-gnu-gcc-12 -static boot2.s -o boot2.elf && 
qemu-riscv64 boot2.elf < ../boot.c > boot3.s
cmp --silent boot1.s boot2.s && echo "boot1.s == boot2.s" || echo "boot1.s != boot2.s"
cmp --silent boot2.s boot3.s && echo "boot2.s == boot3.s" || echo "boot2.s != boot3.s"
cmp --silent boot1.s boot3.s && echo "boot1.s == boot3.s" || echo "boot1.s != boot3.s"
